﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-ios'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/35713cd46cd7/TargetSupportInstaller/UnitySetup-iOS-Support-for-Editor-2022.3.4f1.exe'
$checksum64     = '955f0df0a952466c5593a3f9586b6cbd90dd5b1cf366f48e53ebe60254b5ab4a'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
